<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->string("code",255)->nullable();
            $table->string("narration",255)->nullable();
            $table->string("reference",255)->nullable();
            $table->string("account_code",255)->nullable();
            $table->string("account_subcode",255)->nullable();
            $table->string("contra_code",255)->nullable();
            $table->string("contra_subcode",255)->nullable();
            $table->string("dr",255)->nullable();
            $table->string("cr",255)->nullable();
            $table->string("added_by",255)->nullable();
            $table->string("source",255)->nullable();
            $table->string("qnty",255)->nullable();
            $table->string("price",255)->nullable();
            $table->string("tax",255)->nullable();
            $table->string("tax_id",255)->nullable();
            $table->string("discount",255)->nullable();
            $table->string("total",255)->nullable();
            $table->string("batch",255)->nullable();
            $table->string("currency",255)->nullable();
            $table->string("rate",255)->nullable();
            $table->string("MNarration",255)->nullable();
            $table->string("TType",255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transactions');
    }
};